lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'service_image_builder/version'

Gem::Specification.new do |spec|
  spec.name          = 'service_image_builder'
  spec.version       = SIB::VERSION
  spec.authors       = ['Eric Jacobs']
  spec.email         = ['eric@slush.systems']

  spec.summary       = 'A tool for building and deploying Slush Systems Service Images'
  spec.description   = 'This is a Slush Systems tool for building service images. Slush Systems
creates continuously updated and deployed infrastructure and tooling
container images. This tool creates, tags, and pushes those images the
registry.'
  spec.homepage      = 'https://slush.systems/'
  spec.license       = 'MIT'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://gitlab.com/slush-systems/service_image_builder'
  spec.metadata['changelog_uri'] = 'https://gitlab.com/slush-systems/service_image_builder/commits/master'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'bin'
  spec.executables   = 'sib'
  spec.require_paths = ['lib']

  spec.add_dependency 'activesupport', '~> 6.1'
  spec.add_dependency 'awesome_print', '~> 1.9'
  spec.add_dependency 'docker-api', '~> 2.1'
  spec.add_dependency 'logger', '~> 1.4', '>= 1.4.2'
  spec.add_dependency 'oj', '~> 3.11'

  spec.add_development_dependency 'bundler', '~> 2'
  spec.add_development_dependency 'pry-byebug', '~> 3.9'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'rspec', '~> 3.10'
  spec.add_development_dependency 'rubocop', '~> 1.13'
end
